Ошибка при сборке help2man

Простые/общие вопросы по UNIX системам. Спросите здесь, если вы новичок

Модераторы: vadim64, terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
guest
проходил мимо

Ошибка при сборке help2man

Непрочитанное сообщение guest » 2015-09-29 18:50:02

snorlov писал(а):Reken,
Вам же было предложено, все снести включая систему и поставить все заново, чего не сделали то, это во-первых, а во вторых 9-тая ветка приказывает долго жить, ставьте 10.2 i386(или amd64)
ну хочет человек разобраться... Вот только знаний для этого, увы, пока не хватает.

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
Reken
лейтенант
Сообщения: 604
Зарегистрирован: 2014-06-30 11:23:24
Откуда: Республика Карелия

Ошибка при сборке help2man

Непрочитанное сообщение Reken » 2015-09-30 9:25:43

snorlov писал(а):все снести включая систему и поставить все заново
Так сделать, я всегда успею... :good:
guest писал(а):знаний для этого, увы, пока не хватает.
Ну это дело наживное... Я имею ввиду знания :smile:

Аватара пользователя
Reken
лейтенант
Сообщения: 604
Зарегистрирован: 2014-06-30 11:23:24
Откуда: Республика Карелия

Ошибка при сборке help2man

Непрочитанное сообщение Reken » 2015-10-02 8:53:49

Пытаясь почить "поломку" столкнулся со следующим...
Вообще установка help2man изначально мне понадобилась, чтобы apache22 установился. При установке apache22 он ругался на help2man.

Я сделал так:
1) В очередной раз удалил perl5.20
2) После выполнил команды:

Код: Выделить всё

pkg upgrade
удалил каталоги /usr/ports и /var/db/portsnap/files
portsnap fetch extract
portsnap update
3) Запустил установку Apache22
Получил результат:

Код: Выделить всё

root@setevoy:/usr/ports/www/apache22 # make install clean
===>   apache22-2.2.31 depends on executable: autoconf-2.69 - not found
===>   autoconf-2.69 depends on executable: gm4 - found
===>   autoconf-2.69 depends on executable: help2man - not found
===>   help2man-1.43.3_1 depends on package: p5-Locale-gettext>=0 - found
===>   help2man-1.43.3_1 depends on executable: gmake-lite - found
===>   help2man-1.43.3_1 depends on executable: msgfmt - found
===>   help2man-1.43.3_1 depends on package: perl5>=5.20<5.21 - found
===>   help2man-1.43.3_1 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>  Configuring for help2man-1.43.3_1
configure: loading site script /usr/ports/Templates/config.site
checking for perl... no
configure: error: perl 5.8 required
===>  Script "configure" failed unexpectedly.
Please read UPDATING entry 20130612
(http://svnweb.freebsd.org/ports/head/UPDATING?r1=320405&r2=320679) and
PR/184276 (http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184276) to fix
your Perl installation if you got the error message "configure: error: perl
module Locale::gettext required".
*** [do-configure] Error code 1

Stop in /usr/ports/misc/help2man.
*** [install] Error code 1

Stop in /usr/ports/misc/help2man.
*** [build-depends] Error code 1

Stop in /usr/ports/devel/autoconf.
*** [build-depends] Error code 1

Stop in /usr/ports/www/apache22.
*** [install] Error code 1

Stop in /usr/ports/www/apache22.
Далее выполнил команду portmaster -r perl (как в предложенной ссылке рекомендуют)
Команду portupgrade -rf perl выполнить не получилось, так как у меня в системе нет portupgrade. Установить его не получается, ругается на ту же ошибку что и apache22.

guest
проходил мимо

Ошибка при сборке help2man

Непрочитанное сообщение guest » 2015-10-02 11:01:07

У Вас все из пакетов установлено?

Покажите:

# pkg info -ra
# pkg info -da

Аватара пользователя
Reken
лейтенант
Сообщения: 604
Зарегистрирован: 2014-06-30 11:23:24
Откуда: Республика Карелия

Ошибка при сборке help2man

Непрочитанное сообщение Reken » 2015-10-02 12:01:55

guest писал(а):У Вас все из пакетов установлено?
Я устанавливал программы только из каталога /usr/ports
guest писал(а):# pkg info -ra

Код: Выделить всё

root@setevoy:~ # pkg info -ra
bigreqsproto-1.1.2:
ca_root_nss-3.20:
        fetchmail-6.3.26_2
expat-2.1.0_3:
        gettext-tools-0.19.5.1
fetchmail-6.3.26_2:
gettext-runtime-0.19.5.1:
        p5-Locale-gettext-1.06
        python27-2.7.10
        gettext-tools-0.19.5.1
        libgpg-error-1.20
        gmake-4.1_2
        fetchmail-6.3.26_2
gettext-tools-0.19.5.1:
gmake-4.1_2:
gmake-lite-4.1_1:
indexinfo-0.2.3:
        gettext-tools-0.19.5.1
        libcheck-0.10.0        
libgpg-error-1.20
        gmake-4.1_2
        m4-1.4.17_1,1
        libffi-3.2.1
        libgcrypt-1.6.3
        gettext-runtime-0.19.5.1
inputproto-2.3.1:
kbproto-1.0.6:
        libX11-1.6.2_3,1
libX11-1.6.2_3,1:
        libXext-1.3.3_1,1
libXau-1.0.8_3:
        libXext-1.3.3_1,1
        libxcb-1.11_1
        libX11-1.6.2_3,1
libXdmcp-1.1.2:
        libxcb-1.11_1
        libX11-1.6.2_3,1
libXext-1.3.3_1,1:
libcheck-0.10.0:
libedit-3.1.20150325_1:
libffi-3.2.1:
        python27-2.7.10
libgcrypt-1.6.3:
        libxslt-1.1.28_7
libgpg-error-1.20:
        libgcrypt-1.6.3
libiconv-1.14_8:
        libxml2-2.9.2_3
        gettext-tools-0.19.5.1
        libgpg-error-1.20
        gmake-4.1_2
        gettext-runtime-0.19.5.1
        libslang2-2.3.0
libpthread-stubs-0.3_6:
        libxcb-1.11_1
libslang2-2.3.0:
libssh2-1.6.0_1,2:
libxcb-1.11_1:
        libX11-1.6.2_3,1
libxml2-2.9.2_3:
        libxslt-1.1.28_7
        libxcb-1.11_1
libxslt-1.1.28_7:
m4-1.4.17_1,1:
p5-Locale-gettext-1.06:
pcre-8.37_4:
        libslang2-2.3.0
perl5-5.20.3_8:
        p5-Locale-gettext-1.06
pkg-1.6.1:
pkgconf-0.9.12:
png-1.6.18:
        libslang2-2.3.0
portmaster-3.17.8:
python27-2.7.10:
        xcb-proto-1.11
xcb-proto-1.11:
xcmiscproto-1.2.2:
xextproto-7.3.0:
        libXext-1.3.3_1,1
xf86bigfontproto-1.2.0:
xorg-macros-1.19.0:
xproto-7.0.27:
        libXdmcp-1.1.2
        libX11-1.6.2_3,1
        libXext-1.3.3_1,1
        libXau-1.0.8_3
xtrans-1.3.5:
root@setevoy:~ #
guest писал(а):# pkg info -da

Код: Выделить всё

root@setevoy:~ # pkg info -da
bigreqsproto-1.1.2:
ca_root_nss-3.20:
expat-2.1.0_3:
fetchmail-6.3.26_2:
        ca_root_nss-3.20
        gettext-runtime-0.19.5.1
gettext-runtime-0.19.5.1:
        indexinfo-0.2.3
        libiconv-1.14_8
gettext-tools-0.19.5.1:
        expat-2.1.0_3
        indexinfo-0.2.3
        libiconv-1.14_8
        gettext-runtime-0.19.5.1
gmake-4.1_2:
        indexinfo-0.2.3
        libiconv-1.14_8
        gettext-runtime-0.19.5.1
gmake-lite-4.1_1:
indexinfo-0.2.3:
inputproto-2.3.1:
kbproto-1.0.6:
libX11-1.6.2_3,1:
        xproto-7.0.27
        libXdmcp-1.1.2
        libxcb-1.11_1
        kbproto-1.0.6
        libXau-1.0.8_3
libXau-1.0.8_3:
        xproto-7.0.27
libXdmcp-1.1.2:
        xproto-7.0.27
libXext-1.3.3_1,1:
        xproto-7.0.27
        xextproto-7.3.0
        libX11-1.6.2_3,1
        libXau-1.0.8_3
libcheck-0.10.0:
        indexinfo-0.2.3
libedit-3.1.20150325_1:
libffi-3.2.1:
        indexinfo-0.2.3
libgcrypt-1.6.3:
        libgpg-error-1.20
        indexinfo-0.2.3
libgpg-error-1.20:
        indexinfo-0.2.3
        libiconv-1.14_8
        gettext-runtime-0.19.5.1
libiconv-1.14_8:
libpthread-stubs-0.3_6:
libslang2-2.3.0:
        libiconv-1.14_8
        png-1.6.18
        pcre-8.37_4
libssh2-1.6.0_1,2:
libxcb-1.11_1:
        libxml2-2.9.2_3
        libXdmcp-1.1.2
        libpthread-stubs-0.3_6
        libXau-1.0.8_3
libxml2-2.9.2_3:
        libiconv-1.14_8
libxslt-1.1.28_7:
        libxml2-2.9.2_3        
libgcrypt-1.6.3
m4-1.4.17_1,1:
        indexinfo-0.2.3
p5-Locale-gettext-1.06:
        perl5-5.20.3_8
        gettext-runtime-0.19.5.1
pcre-8.37_4:
perl5-5.20.3_8:
pkg-1.6.1:
pkgconf-0.9.12:
png-1.6.18:
portmaster-3.17.8:
python27-2.7.10:
        libffi-3.2.1
        gettext-runtime-0.19.5.1
xcb-proto-1.11:
        python27-2.7.10
xcmiscproto-1.2.2:
xextproto-7.3.0:
xf86bigfontproto-1.2.0:
xorg-macros-1.19.0:
xproto-7.0.27:
xtrans-1.3.5:
root@setevoy:~ #

guest
проходил мимо

Ошибка при сборке help2man

Непрочитанное сообщение guest » 2015-10-02 12:15:00

Reken писал(а):
guest писал(а):У Вас все из пакетов установлено?
Я устанавливал программы только из каталога /usr/ports
так зачем же Вы тогда делали:

# pkg upgrade ?!

У Вас пока нет понимания: пакеты и порты, советую:

# man portmaster
...
Using portmaster to do a complete reinstallation of all your ports:
1. portmaster --list-origins > ~/installed-port-list
2. Update your ports tree
3. portmaster -ty --clean-distfiles
4. portmaster --check-port-dbdir
5. portmaster -Faf
6. pkg_delete -a
7. rm -rf /usr/local/lib/compat/pkg
8. Back up any files in /usr/local you wish to save,
such as configuration files in /usr/local/etc

бекап /usr/local/etc -> tar'ом, если у Вас там есть правильные рабочие настройки,
затем:
# /bin/rm -rf /usr/local/*

9. Manually check /usr/local and /var/db/pkg
to make sure that they are really empty
10. Re-install portmaster
11. portmaster `cat ~/installed-port-list`

Собственно, я бы пересобрал систему после п.9, ибо у Вас find и rm не работали...

Аватара пользователя
Reken
лейтенант
Сообщения: 604
Зарегистрирован: 2014-06-30 11:23:24
Откуда: Республика Карелия

Ошибка при сборке help2man

Непрочитанное сообщение Reken » 2015-10-02 12:36:19

Quest спасибо